Subject: Re: GNOME Builder: Global search, autocompletion, documentation don't work

From: Leo Prikler <[email-masked]>
Date: Fri, 18 Dec 2020 12:53:40 +0100

Hello Luis,

After long trial and error I have failed to find a way of enabling this
feature.  Getting the necessary environment variables into GNOME
Builder is doable, albeit not without issues.  In particular, naively
setting GI_TYPELIB_PATH from build – which would normally be the sane
thing to do – sets you up for a runtime error.  However, even after
you've somehow weasled the correct paths into all the environment
variables, getting them propagated into the IDE workers is a nightmare,
that I wish no one.  I tried deleting the line, that unsets the
environment, I tried explicitly setting it to false; nothing works.

If someone else wants to take this bug, go ahead, otherwise I suggest
dropping Python support from our builds of GNOME Builder so as to not
cause confusion in such a manner.

Regards,
Leo

Am Mittwoch, den 16.12.2020, 17:24 +0000 schrieb Luis Felipe:
> Various features described in GNOME Builder documentation (
> https://builder.readthedocs.io/en/latest/exploring.html) don't seem
> to work, even though their corresponding extensions are enabled (in
> Settings → Extensions).
> 
> So far, I've only identified Global search, autocompletion,
> documentation on hover. I tried these in Python code only.
> 
> I assumed these features are failing for the same reason, so I'm
> reporting them together.
> 
> 
> ## Steps to reproduce: Search for a function in your Python project
> 
> 1. Start GNOME Builder
> 2. Click on the "Select a Folder..." button
> 3. Locate the folder of your project and click "Open"
> 4. Press Ctrl + . to focus the search box
> 5. Start typing the name of a function you know is defined in the
> project source code
> 
> ## Expected result
> 
> You see the function suggested in the results.
> 
> ## Unexpected result
> 
> The suggested results don't include the function. Searching only
> seems to suggest filenames that include your search terms;
> definitions in the source code, like classes and functions, seem to
> be excluded.
> 
> 
> 
> ## Steps to reproduce: Autocompletion in a Python file
> 
> 1. Open a Python file
> 2. Type "Hello". (that's hello in double quotes, followed by a dot)
> 
> ## Expected result
> 
> A list of methods for string objects is displayed after you type the
> dot.
> 
> ## Unexpected result
> 
> The list is not displayed at all.
> 
> 
> 
> ## Steps to reproduce: Documentation on hovering over a Python method
> 
> 1. Open a Python file
> 2. Type "Hello {}".format("World")
> 3. Hover over the "format" method or place the caret on it and press
> F2
> 
> ## Expected result
> 
> A box appears over the method displaying its documentation.
> 
> ## Unexpected result
> 
> The box is not displayed at all.
> 
> 
> 
> ## System information
> 
> guix 08d8c2d
> gnome-builder 3.36.1
> 
> 
> 
> ## Additional information
> 
> I see the following output when I start gnome-builder from a
> terminal:
> 
> ```
> $ gnome-builder
> sh: getent: command not found
> 11:21:17.5362                   ide-application-plugins[ 18651]:
> CRITICAL: Cannot enable Python 3 plugins: Typelib file for namespace
> 'Dazzle', version '1.0' not found
> 11:21:17.5405                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5407                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5407                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5407                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5407                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5408                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5408                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5409                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5409                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5410                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5410                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5410                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5411                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5411                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5411                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5412                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5412                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5412                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5419                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5420                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5480                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5505                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5507                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:17.5507                                   libpeas[
> 18651]:  WARNING: The 'python3' plugin loader has not been enabled
> 11:21:19.8003                        ide-device-manager[
> 18651]:  WARNING: GbpQemuDeviceProvider: binfmt is missing from
> /proc/mounts
> 11:21:20.0893               gbp-sysprof-workspace-addin[
> 18651]:  WARNING: Sysprof-3 is not supported, will not enable
> profiler: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The
> name org.gnome.Sysprof3 was not provided by any .service files
> ```
> 
> 
> ---
> Luis Felipe López Acevedo
> https://luis-felipe.gitlab.io/
>